-- Copyright (C) 2019  Intel Corporation. All rights reserved.
-- Your use of Intel Corporation's design tools, logic functions 
-- and other software and tools, and any partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Intel Program License 
-- Subscription Agreement, the Intel Quartus Prime License Agreement,
-- the Intel FPGA IP License Agreement, or other applicable license
-- agreement, including, without limitation, that your use is for
-- the sole purpose of programming logic devices manufactured by
-- Intel and sold by Intel or its authorized distributors.  Please
-- refer to the applicable agreement for further details, at
-- https://fpgasoftware.intel.com/eula.

-- VENDOR "Altera"
-- PROGRAM "Quartus Prime"
-- VERSION "Version 19.1.0 Build 670 09/22/2019 SJ Lite Edition"

-- DATE "08/01/2020 22:11:24"

-- 
-- Device: Altera EPM2210F324C3 Package FBGA324
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE;
LIBRARY MAXII;
USE IEEE.STD_LOGIC_1164.ALL;
USE MAXII.MAXII_COMPONENTS.ALL;

ENTITY 	Circuit_W_top IS
    PORT (
	D_L : IN std_logic_vector(1 DOWNTO 0);
	A_L : IN std_logic;
	B_L : IN std_logic;
	W_L : BUFFER std_logic;
	LED0 : BUFFER std_logic;
	LED1 : BUFFER std_logic;
	LED3 : BUFFER std_logic;
	LED4 : BUFFER std_logic;
	LED5 : BUFFER std_logic;
	LED6 : BUFFER std_logic;
	LED7 : BUFFER std_logic
	);
END Circuit_W_top;

-- Design Ports Information


ARCHITECTURE structure OF Circuit_W_top IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_D_L : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_A_L : std_logic;
SIGNAL ww_B_L : std_logic;
SIGNAL ww_W_L : std_logic;
SIGNAL ww_LED0 : std_logic;
SIGNAL ww_LED1 : std_logic;
SIGNAL ww_LED3 : std_logic;
SIGNAL ww_LED4 : std_logic;
SIGNAL ww_LED5 : std_logic;
SIGNAL ww_LED6 : std_logic;
SIGNAL ww_LED7 : std_logic;
SIGNAL \B_L~combout\ : std_logic;
SIGNAL \A_L~combout\ : std_logic;
SIGNAL \Chip1|W~0_combout\ : std_logic;
SIGNAL \D_L~combout\ : std_logic_vector(1 DOWNTO 0);

BEGIN

ww_D_L <= D_L;
ww_A_L <= A_L;
ww_B_L <= B_L;
W_L <= ww_W_L;
LED0 <= ww_LED0;
LED1 <= ww_LED1;
LED3 <= ww_LED3;
LED4 <= ww_LED4;
LED5 <= ww_LED5;
LED6 <= ww_LED6;
LED7 <= ww_LED7;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

-- Location: PIN_V14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\D_L[1]~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_D_L(1),
	combout => \D_L~combout\(1));

-- Location: PIN_U14,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\D_L[0]~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_D_L(0),
	combout => \D_L~combout\(0));

-- Location: PIN_U15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\B_L~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_B_L,
	combout => \B_L~combout\);

-- Location: PIN_V15,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: Default
\A_L~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "input")
-- pragma translate_on
PORT MAP (
	oe => GND,
	padio => ww_A_L,
	combout => \A_L~combout\);

-- Location: LC_X17_Y1_N4
\Chip1|W~0\ : maxii_lcell
-- Equation(s):
-- \Chip1|W~0_combout\ = (!\A_L~combout\ & ((\B_L~combout\ & ((\D_L~combout\(0)))) # (!\B_L~combout\ & (\D_L~combout\(1)))))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "00ca",
	operation_mode => "normal",
	output_mode => "comb_only",
	register_cascade_mode => "off",
	sum_lutc_input => "datac",
	synch_mode => "off")
-- pragma translate_on
PORT MAP (
	dataa => \D_L~combout\(1),
	datab => \D_L~combout\(0),
	datac => \B_L~combout\,
	datad => \A_L~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	combout => \Chip1|W~0_combout\);

-- Location: PIN_U12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\W_L~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => \Chip1|W~0_combout\,
	oe => VCC,
	padio => ww_W_L);

-- Location: PIN_U13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED0~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED0);

-- Location: PIN_V13,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED1~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED1);

-- Location: PIN_V12,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED3~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED3);

-- Location: PIN_V5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED4~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED4);

-- Location: PIN_U5,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED5~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED5);

-- Location: PIN_V4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED6~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED6);

-- Location: PIN_U4,	 I/O Standard: 3.3-V LVTTL,	 Current Strength: 16mA
\LED7~I\ : maxii_io
-- pragma translate_off
GENERIC MAP (
	operation_mode => "output")
-- pragma translate_on
PORT MAP (
	datain => VCC,
	oe => VCC,
	padio => ww_LED7);
END structure;


